<?php

namespace app\controller\admin\xm;

use app\BaseController;
use app\service\CurdService;
use think\response\Json;

class PlatformController extends BaseController
{

    public function page(): Json
    {
        try{
            $model = \app\entity\XmPlatform::withSearch([], [
                'name'            => $this->request->get('name/s', ''),
            ]);

            $paginate = CurdService::getPaginate($this->request, $model);
        }catch (\Exception $e){
            return  $this->writeError($e->getMessage());
        }


        return $this->writeSuccess('success', $paginate);
    }
}